Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## TUIO
Class TuioObject

    java.lang.Object
      TUIO.TuioPoint
          TUIO.TuioObject

    public class TuioObject

extends TuioPoint

The TuioObject class encapsulates /tuio/2Dobj TUIO objects.

Field Summary
`protected float` | `angle` The rotation angle value.
`protected float` | `motion_accel` The motion acceleration value.
`protected float` | `motion_speed` The motion speed value.
`protected java.util.Vector<TuioPoint>` | `path` A Vector of TuioPoints containing all the previous positions of the TUIO component.
`protected float` | `rotation_accel` The rotation acceleration value.
`protected float` | `rotation_speed` The rotation speed value.
`protected long` | `session_id` The unique session ID number that is assigned to each TUIO object or cursor.
`protected int` | `state` Reflects the current state of the TuioComponent
`protected int` | `symbol_id` The individual symbol ID number that is assigned to each TuioObject.
`static int` | `TUIO_ACCELERATING` Defines the ACCELERATING state.
`static int` | `TUIO_ADDED` Defines the ADDED state.
`static int` | `TUIO_DECELERATING` Defines the DECELERATING state.
`static int` | `TUIO_REMOVED` Defines the REMOVED state.
`static int` | `TUIO_ROTATING` Defines the ROTATING state.
`static int` | `TUIO_STOPPED` Defines the STOPPED state.
`protected float` | `x_speed` The X-axis velocity value.
`protected float` | `y_speed` The Y-axis velocity value.

Fields inherited from class TUIO.TuioPoint
`currentTime, startTime, xpos, ypos`

Constructor Summary
`TuioObject(long si, int sym, float xp, float yp, float a)` This constructor takes the provided Session ID, Symbol ID, X and Y coordinate and angle, and assigs these values to the newly created TuioObject.
`TuioObject(TuioObject tobj)` This constructor takes the atttibutes of the provided TuioObject and assigs these values to the newly created TuioObject.
`TuioObject(TuioTime ttime, long si, int sym, float xp, float yp, float a)` This constructor takes a TuioTime argument and assigns it along with the provided Session ID, Symbol ID, X and Y coordinate and angle to the newly created TuioObject.

Method Summary
`float` | `getAngle()` Returns the rotation angle of this TuioObject.
`float` | `getAngleDegrees()` Returns the rotation angle in degrees of this TuioObject.
`float` | `getMotionAccel()` Returns the motion acceleration of this TuioContainer.
`float` | `getMotionSpeed()` Returns the motion speed of this TuioContainer.
`java.util.Vector<TuioPoint>` | `getPath()` Returns the path of this TuioContainer.
`TuioPoint` | `getPosition()` Returns the position of this TuioContainer.
`float` | `getRotationAccel()` Returns the rotation acceleration of this TuioObject.
`float` | `getRotationSpeed()` Returns the rotation speed of this TuioObject.
`long` | `getSessionID()` Returns the Session ID of this TuioContainer.
`int` | `getSymbolID()` Returns the symbol ID of this TuioObject.
`int` | `getTuioState()` Returns the TUIO state of this TuioContainer.
`float` | `getXSpeed()` Returns the X velocity of this TuioContainer.
`float` | `getYSpeed()` Returns the Y velocity of this TuioContainer.
`boolean` | `isMoving()` Returns true of this TuioObject is moving.
`void` | `remove(TuioTime ttime)` Assigns the REMOVE state to this TuioContainer and sets its TuioTime time stamp to the provided TuioTime argument.
`void` | `stop(TuioTime ttime)` This method is used to calculate the speed and acceleration values of a TuioObject with unchanged position and angle.
`void` | `update(float xp, float yp, float xs, float ys, float ma)` Assigns the provided X and Y coordinate, X and Y velocity and acceleration to the private TuioContainer attributes.
`void` | `update(float xp, float yp, float a, float xs, float ys, float rs, float ma, float ra)` Assigns the provided X and Y coordinate, angle, X and Y velocity, motion acceleration rotation velocity and rotation acceleration to the private TuioContainer attributes.
`void` | `update(TUIO.TuioContainer tcon)` Takes the atttibutes of the provided TuioContainer and assigs these values to this TuioContainer.
`void` | `update(TuioObject tobj)` Takes the atttibutes of the provided TuioObject and assigs these values to this TuioObject.
`void` | `update(TuioTime ttime, float xp, float yp)` Takes a TuioTime argument and assigns it along with the provided X and Y coordinate to the private TuioContainer attributes.
`void` | `update(TuioTime ttime, float xp, float yp, float a)` Takes a TuioTime argument and assigns it along with the provided X and Y coordinate and angle to the private TuioObject attributes.
`void` | `update(TuioTime ttime, float xp, float yp, float xs, float ys, float ma)` Takes a TuioTime argument and assigns it along with the provided X and Y coordinate, X and Y velocity and acceleration to the private TuioContainer attributes.
`void` | `update(TuioTime ttime, float xp, float yp, float a, float xs, float ys, float rs, float ma, float ra)` Takes a TuioTime argument and assigns it along with the provided X and Y coordinate, angle, X and Y velocity, motion acceleration, rotation speed and rotation acceleration to the private TuioObject attributes.

Methods inherited from class TUIO.TuioPoint
`getAngle, getAngle, getAngleDegrees, getAngleDegrees, getDistance, getDistance, getScreenX, getScreenY, getStartTime, getTuioTime, getX, getY, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### symbol_id

    protected int symbol_id

  The individual symbol ID number that is assigned to each TuioObject.

### angle

    protected float angle

  The rotation angle value.

### rotation_speed

    protected float rotation_speed

  The rotation speed value.

### rotation_accel

    protected float rotation_accel

  The rotation acceleration value.

### TUIO_ROTATING

    public static final int TUIO_ROTATING

  Defines the ROTATING state.

  See Also:
    Constant Field Values

### session_id

    protected long session_id

  The unique session ID number that is assigned to each TUIO object or cursor.

### x_speed

    protected float x_speed

  The X-axis velocity value.

### y_speed

    protected float y_speed

  The Y-axis velocity value.

### motion_speed

    protected float motion_speed

  The motion speed value.

### motion_accel

    protected float motion_accel

  The motion acceleration value.

### path

    protected java.util.Vector<TuioPoint> path

  A Vector of TuioPoints containing all the previous positions of the TUIO component.

### TUIO_ADDED

    public static final int TUIO_ADDED

  Defines the ADDED state.

  See Also:
    Constant Field Values

### TUIO_ACCELERATING

    public static final int TUIO_ACCELERATING

  Defines the ACCELERATING state.

  See Also:
    Constant Field Values

### TUIO_DECELERATING

    public static final int TUIO_DECELERATING

  Defines the DECELERATING state.

  See Also:
    Constant Field Values

### TUIO_STOPPED

    public static final int TUIO_STOPPED

  Defines the STOPPED state.

  See Also:
    Constant Field Values

### TUIO_REMOVED

    public static final int TUIO_REMOVED

  Defines the REMOVED state.

  See Also:
    Constant Field Values

### state

    protected int state

  Reflects the current state of the TuioComponent

Constructor Detail

### TuioObject

    public TuioObject(TuioTime ttime,
                      long si,
                      int sym,
                      float xp,
                      float yp,
                      float a)

  This constructor takes a TuioTime argument and assigns it along with the provided Session ID, Symbol ID, X and Y coordinate and angle to the newly created TuioObject.

  Parameters:
    `ttime` - the TuioTime to assign
    `si` - the Session ID to assign
    `sym` - the Symbol ID to assign
    `xp` - the X coordinate to assign
    `yp` - the Y coordinate to assign
    `a` - the angle to assign

### TuioObject

    public TuioObject(long si,
                      int sym,
                      float xp,
                      float yp,
                      float a)

  This constructor takes the provided Session ID, Symbol ID, X and Y coordinate and angle, and assigs these values to the newly created TuioObject.

  Parameters:
    `si` - the Session ID to assign
    `sym` - the Symbol ID to assign
    `xp` - the X coordinate to assign
    `yp` - the Y coordinate to assign
    `a` - the angle to assign

### TuioObject

    public TuioObject(TuioObject tobj)

  This constructor takes the atttibutes of the provided TuioObject and assigs these values to the newly created TuioObject.

  Parameters:
    `tobj` - the TuioObject to assign

Method Detail

### update

    public void update(TuioTime ttime,
                       float xp,
                       float yp,
                       float a,
                       float xs,
                       float ys,
                       float rs,
                       float ma,
                       float ra)

  Takes a TuioTime argument and assigns it along with the provided X and Y coordinate, angle, X and Y velocity, motion acceleration, rotation speed and rotation acceleration to the private TuioObject attributes.

  Parameters:
    `ttime` - the TuioTime to assign
    `xp` - the X coordinate to assign
    `yp` - the Y coordinate to assign
    `a` - the angle coordinate to assign
    `xs` - the X velocity to assign
    `ys` - the Y velocity to assign
    `rs` - the rotation velocity to assign
    `ma` - the motion acceleration to assign
    `ra` - the rotation acceleration to assign

### update

    public void update(float xp,
                       float yp,
                       float a,
                       float xs,
                       float ys,
                       float rs,
                       float ma,
                       float ra)

  Assigns the provided X and Y coordinate, angle, X and Y velocity, motion acceleration rotation velocity and rotation acceleration to the private TuioContainer attributes. The TuioTime time stamp remains unchanged.

  Parameters:
    `xp` - the X coordinate to assign
    `yp` - the Y coordinate to assign
    `a` - the angle coordinate to assign
    `xs` - the X velocity to assign
    `ys` - the Y velocity to assign
    `rs` - the rotation velocity to assign
    `ma` - the motion acceleration to assign
    `ra` - the rotation acceleration to assign

### update

    public void update(TuioTime ttime,
                       float xp,
                       float yp,
                       float a)

  Takes a TuioTime argument and assigns it along with the provided X and Y coordinate and angle to the private TuioObject attributes. The speed and accleration values are calculated accordingly.

  Parameters:
    `ttime` - the TuioTime to assign
    `xp` - the X coordinate to assign
    `yp` - the Y coordinate to assign
    `a` - the angle coordinate to assign

### update

    public void update(TuioObject tobj)

  Takes the atttibutes of the provided TuioObject and assigs these values to this TuioObject. The TuioTime time stamp of this TuioContainer remains unchanged.

  Parameters:
    `tobj` - the TuioContainer to assign

### stop

    public void stop(TuioTime ttime)

  This method is used to calculate the speed and acceleration values of a TuioObject with unchanged position and angle.

  Parameters:
    `ttime` - the TuioTime to assign

### getSymbolID

    public int getSymbolID()

  Returns the symbol ID of this TuioObject.

  Returns:
    the symbol ID of this TuioObject

### getAngle

    public float getAngle()

  Returns the rotation angle of this TuioObject.

  Returns:
    the rotation angle of this TuioObject

### getAngleDegrees

    public float getAngleDegrees()

  Returns the rotation angle in degrees of this TuioObject.

  Returns:
    the rotation angle in degrees of this TuioObject

### getRotationSpeed

    public float getRotationSpeed()

  Returns the rotation speed of this TuioObject.

  Returns:
    the rotation speed of this TuioObject

### getRotationAccel

    public float getRotationAccel()

  Returns the rotation acceleration of this TuioObject.

  Returns:
    the rotation acceleration of this TuioObject

### isMoving

    public boolean isMoving()

  Returns true of this TuioObject is moving.

  Returns:
    true of this TuioObject is moving

### update

    public void update(TuioTime ttime,
                       float xp,
                       float yp)

  Takes a TuioTime argument and assigns it along with the provided X and Y coordinate to the private TuioContainer attributes. The speed and accleration values are calculated accordingly.

  Overrides:
    `update` in class `TuioPoint`
  Parameters:
    `ttime` - the TuioTime to assign
    `xp` - the X coordinate to assign
    `yp` - the Y coordinate to assign

### update

    public void update(TuioTime ttime,
                       float xp,
                       float yp,
                       float xs,
                       float ys,
                       float ma)

  Takes a TuioTime argument and assigns it along with the provided X and Y coordinate, X and Y velocity and acceleration to the private TuioContainer attributes.

  Parameters:
    `ttime` - the TuioTime to assign
    `xp` - the X coordinate to assign
    `yp` - the Y coordinate to assign
    `xs` - the X velocity to assign
    `ys` - the Y velocity to assign
    `ma` - the acceleration to assign

### update

    public void update(float xp,
                       float yp,
                       float xs,
                       float ys,
                       float ma)

  Assigns the provided X and Y coordinate, X and Y velocity and acceleration to the private TuioContainer attributes. The TuioTime time stamp remains unchanged.

  Parameters:
    `xp` - the X coordinate to assign
    `yp` - the Y coordinate to assign
    `xs` - the X velocity to assign
    `ys` - the Y velocity to assign
    `ma` - the acceleration to assign

### update

    public void update(TUIO.TuioContainer tcon)

  Takes the atttibutes of the provided TuioContainer and assigs these values to this TuioContainer. The TuioTime time stamp of this TuioContainer remains unchanged.

  Parameters:
    `tcon` - the TuioContainer to assign

### remove

    public void remove(TuioTime ttime)

  Assigns the REMOVE state to this TuioContainer and sets its TuioTime time stamp to the provided TuioTime argument.

  Parameters:
    `ttime` - the TuioTime to assign

### getSessionID

    public long getSessionID()

  Returns the Session ID of this TuioContainer.

  Returns:
    the Session ID of this TuioContainer

### getXSpeed

    public float getXSpeed()

  Returns the X velocity of this TuioContainer.

  Returns:
    the X velocity of this TuioContainer

### getYSpeed

    public float getYSpeed()

  Returns the Y velocity of this TuioContainer.

  Returns:
    the Y velocity of this TuioContainer

### getPosition

    public TuioPoint getPosition()

  Returns the position of this TuioContainer.

  Returns:
    the position of this TuioContainer

### getPath

    public java.util.Vector<TuioPoint> getPath()

  Returns the path of this TuioContainer.

  Returns:
    the path of this TuioContainer

### getMotionSpeed

    public float getMotionSpeed()

  Returns the motion speed of this TuioContainer.

  Returns:
    the motion speed of this TuioContainer

### getMotionAccel

    public float getMotionAccel()

  Returns the motion acceleration of this TuioContainer.

  Returns:
    the motion acceleration of this TuioContainer

### getTuioState

    public int getTuioState()

  Returns the TUIO state of this TuioContainer.

  Returns:
    the TUIO state of this TuioContainer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD